# Store Business Hour Update Notification

Keeta pushes real-time notifications when either regular business hours or special business hours are modified.
**Event ID:** 1101
**Notes:** Both 'business hour' and 'special business hour' applied this endpoint for any updates.

Endpoint: POST businessHourUpdateNotification
Version: v.1.0.0

## Request fields (application/json):

  - `shopId` (integer)
    Store ID
    Example: 466663

  - `businessHourOfTheWeek` (object)
    Updated business hour
    Example: {"thu":[{"startTime":46800,"endTime":84600}],"tue":[{"startTime":46800,"endTime":84600}],"wed":[{"startTime":46800,"endTime":84600}],"sat":[{"startTime":46800,"endTime":84600}],"fri":[{"startTime":468…

  - `specialBusinessHour` (array)
    Updated special business hour

  - `specialBusinessHour.startDate` (integer, required)
    Start date timestamp (milliseconds) for **00:00:00.000** of the day timestamp example: 1690214400000 (2023-07-24 00:00:00 UTC)
    Example: 1690214400000

  - `specialBusinessHour.endDate` (integer, required)
    End date timestamp (milliseconds) for **23:59:59.999** of the day timestamp example: 1690646399999 (2023-07-28 23:59:59.999 UTC)
    Example: 1690646399999

  - `specialBusinessHour.businessHour` (array, required)
    Operating hours during [startDate, endDate] period
Full-day closure: Single DTO with startTime=0 and endTime=0

  - `specialBusinessHour.businessHour.startTime` (integer, required)
    Start time of business period in seconds:
- Range: 0 (midnight) to 86400 (next midnight)
- For full-day closure: Set to 0 along with endTime=0
- Time periods must not overlap within the same day
    Example: 27000

  - `specialBusinessHour.businessHour.endTime` (integer, required)
    End time of business period in seconds:
- Must be >= startTime except for cross-day periods
- For full-day closure: Set to 0 along with startTime=0
    Example: 28000

## Response 200:

  - `200` (unknown)
    Request executed successfully

## Response 200 fields (application/json):

  - `code` (integer, required)
    A numeric status identifier indicating the result of the interface call, used to determine whether the operation executed successfully.
    Example: 0

  - `message` (string, required)
    Text description corresponding to the status code, explaining the operation result or error cause to users.
    Example: Success

